#
# spec file for package rubygem-json_pure
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-json_pure
Version:        1.8.2
Release:        4.2
%define mod_name json_pure
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
BuildRequires:  %{ruby}
BuildRequires:  ruby-macros >= 5
Url:            http://flori.github.com/json
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        JSON Implementation for Ruby
License:        Ruby
Group:          Development/Languages/Ruby

%description
This is a JSON implementation in pure Ruby.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGES COPYING README.rdoc" \
  -f

%gem_packages

%changelog
* Sat Feb  7 2015 coolo@suse.com
- updated to version 1.8.2
  * Some performance improvements by Vipul A M <vipulnsward@gmail.com>.
  * Fix by Jason R. Clark <jclark@newrelic.com> to avoid mutation of
    JSON.dump_default_options.
  * More tests by Michael Mac-Vicar <mmacvicar@gmail.com> and fixing
    space_before accessor in generator.
  * Performance on Jruby improvemed by Ben Browning <bbrownin@redhat.com>.
  * Some fixes to be compatible with the new Ruby 2.2 by Zachary Scott <e@zzak.io>
    and SHIBATA Hiroshi <hsbt@ruby-lang.org>.
* Tue Sep 30 2014 mrueckert@suse.de
- update to new packaging scheme and add gem2rpm.yml
* Sun Oct 20 2013 coolo@suse.com
- updated to version 1.8.1
  * Remove Rubinius exception since transcoding should be working now.
* Wed May 15 2013 coolo@suse.com
- updated to version 1.8.0
  * Fix https://github.com/flori/json/issues/162 reported by Marc-Andre
    Lafortune <github_rocks@marc-andre.ca>. Thanks!
  * Applied patches by Yui NARUSE <naruse@airemix.jp> to suppress warning with
  - Wchar-subscripts and better validate UTF-8 strings.
  * Applied patch by ginriki@github to remove unnecessary if.
  * Add load/dump interface to JSON::GenericObject to make
    serialize :some_attribute, JSON::GenericObject
    work in Rails active models for convenient SomeModel#some_attribute.foo.bar
    access to serialised JSON data.
* Tue Feb 12 2013 coolo@suse.com
- updated to version 1.7.7
  * Security fix for JSON create_additions default value and
    JSON::GenericObject. It should not be possible to create additions unless
    explicitely requested by setting the create_additions argument to true or
    using the JSON.load/dump interface. If JSON::GenericObject is supposed to
    be automatically deserialised, this has to be explicitely enabled by
    setting
    JSON::GenericObject.json_createble = true
    as well.
  * Remove useless assert in fbuffer implementation.
  * Apply patch attached to https://github.com/flori/json/issues#issue/155
    provided by John Shahid <jvshahid@gmail.com>, Thx!
  * Add license information to rubygems spec data, reported by Jordi Massaguer Pla <jmassaguerpla@suse.de>.
  * Improve documentation, thx to Zachary Scott <zachary@zacharyscott.net>.
* Wed Jan  2 2013 coolo@suse.com
- updated to version 1.7.6
  * Add GeneratorState#merge alias for JRuby, fix state accessor methods. Thx to
  jvshahid@github.
  * Increase hash likeness of state objects.
* Sun Aug 26 2012 coolo@suse.com
- updated to version 1.7.5
  * Fix compilation of extension on older rubies.
* Sat Jul 28 2012 coolo@suse.com
- update to 1.7.4
  * Fix compilation problem on AIX, see https://github.com/flori/json/issues/142
* Sun Jul 15 2012 coolo@suse.com
- update to 1.7.3
  * Work around Rubinius encoding issues using iconv for conversion instead.
  * Fix some encoding issues, that cause problems for  the pure and the
    extension variant in jruby 1.9 mode.
* Tue May  8 2012 coolo@suse.com
- update to 1.7.1
  * Small fixes
* Sun May  6 2012 coolo@suse.com
- update to 1.7.0
  * Add JSON::GenericObject for method access to objects transmitted via JSON.
  * Fix possible crash when trying to parse nil value.
* Thu Apr  5 2012 coolo@suse.com
- update to 1.6.6:
  * Propagate src encoding to values made from it (fixes 1.9 mode converting
    everything to ascii-8bit; harmless for 1.8 mode too) (Thomas E. Enebo
    <tom.enebo@gmail.com>), should fix
    https://github.com/flori/json/issues#issue/119.
  * Fix https://github.com/flori/json/issues#issue/124 Thx to Jason Hutchens.
  * Fix https://github.com/flori/json/issues#issue/117
* Wed Feb 15 2012 saschpe@suse.de
- Update to version 1.6.5:
  * Fixed a bug that shows up when using optimisation under GCC 4.7.
- Changes from version 1.6.4:
  * Patches that improve speed on JRuby contributed
  * Support object_class/array_class with duck typed hash/array.
- Changes from version 1.6.3:
  * Let JSON.load('') return nil as well to make mysql text columns (default to
    '') work better for serialization.
- Changes from version 1.6.2:
  * Add support for OpenStruct and BigDecimal.
  * Fix bug when parsing nil in quirks_mode.
  * Make JSON.dump and JSON.load methods better cooperate with Rails' serialize
    method. Just use: serialize :value, JSON
  * Fix bug with time serialization concerning nanoseconds. Thanks for the
    patch go to Josh Partlow (jpartlow@github).
  * Improve parsing speed for JSON numbers (integers and floats)
* Fri Oct 21 2011 fcastelli@suse.com
- Remove the update-alternatives code since version 1.6.1 does no
  longer ship binaries.
* Fri Oct 14 2011 fcastelli@suse.com
- Update package to version 1.6.1
* Thu Aug 25 2011 dmacvicar@suse.de
- initial package for version 1.5.3
- remove the java/ section
